<?php

class appMigrationWoocommerceWooType extends stMigrationType
{

    public function getFormDefaultData(): array
    {
        $tax = stTax::getDefault();

        return [
            'woo_tax' => $tax->getVat(),
            'table_prefix' => 'wp_',
        ];
    }

    public function getFormSections(sfI18N $i18n): array
    {
        return [
            $i18n->__('Konfiguracja danych WooCommerce', null, 'appMigrationWoocommercePlugin') => [
                'fields' => ['woo_photo', 'woo_tax']
            ]
        ];
    }

    public function getFormFields(sfI18N $i18n): array
    {
        return [
            'woo_photo' => [
                'label' => $i18n->__('Przenieś zdjęcia', null, 'appMigrationWoocommercePlugin'),
                'type' => 'select_tag',
                'params' => [
                    'choices' => [
                        'all' => $i18n->__('Wszystkie załączone', null, 'appMigrationWoocommercePlugin'),
                        'main' => $i18n->__('Tylko główne', null, 'appMigrationWoocommercePlugin'),
                    ]
                ]
            ],
            'woo_tax' => [
                'label' => $i18n->__('Stawka VAT', null, 'appMigrationWoocommercePlugin'),
            ]
        ];
    }



    public function onFormSubmit(stAdminGeneratorDataAdapterInterface $data): void
    {
    }
}
